<?php
/**
 * This project has been generated by nuts generator
 * nuts has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 */


namespace Handler;


class DataValidationException extends \Exception
{

    protected $detailMessage;

    /**
     * Constructor
     *
     * @param string $message Error message
     * @param int $code HTTP status code
     * @param string $responseHeaders HTTP response header
     * @param mixed $responseBody HTTP body of the server response either as Json or string
     */
    public function __construct($message = "", $detail = "", $code = 0)
    {
        parent::__construct($message, $code);
        $this->detailMessage = $detail;
    }

    /**
     * @return string
     */
    public function getDetailMessage()
    {
        return $this->detailMessage;
    }


}